All Frameworks Object Hierarchy This Framework Indexes
o Property ActiveSheet( | ) As |
Dim MyRoot As Layout2DRoot Set MyRoot = CATIA.ActiveDocument.Part.GetItem("CATLayout2DRoot)" Dim MySheet = MyRoot.GetActiveSheet
o Property Parameters( | ) As (Read Only) |
Dim MyRoot As Layout2DRoot Set MyRoot = CATIA.ActiveDocument.Part.GetItem("CATLayout2DRoot)" Dim layoutParameters As Parameters Set layoutParameters = MyRoot.Parameters
o Property Relations( | ) As (Read Only) |
Dim MyRoot As Layout2DRoot Set MyRoot = CATIA.ActiveDocument.Part.GetItem("CATLayout2DRoot)" Dim layoutRelations As Relations Set layoutRelations = MyRoot.Relations
o Property RenderingMode( | ) As |
Dim MyRoot As Layout2DRoot Set MyRoot = CATIA.ActiveDocument.Part.GetItem("CATLayout2DRoot)" MyRoot. RenderingMode = catRenderShadingWithEdges
o Property Sheets( | ) As (Read Only) |
Dim MyRoot As Layout2DRoot Set MyRoot = CATIA.ActiveDocument.Part.GetItem("CATLayout2DRoot)" Dim SheetCollection As Layout2DSheets Set SheetCollection = MyRoot.Sheets.
o Property Standard( | ) As |
Dim MyRoot As Layout2DRoot Set MyRoot = CATIA.ActiveDocument.Part.GetItem("CATLayout2DRoot)" MyRoot.Standard = catISO
o Property VisuIn3D( | ) As |
o Sub reorder_Sheets( | iOrderedSheets) |
Set drwsheetsorder = CATIA.ActiveDocument.Part.GetItem("CATLayoutRoot") Set drwsheets = drwsheetsorder.Sheets Set sheet1 = drwsheets.item(1) Set sheet2 = drwsheets.item(2) newsheetorder = Array(sheet2, sheet1) drwsheetsorder.reorder_Sheets(newsheetorder)
Copyright © 2003, Dassault Systèmes. All rights reserved.